Package org.eclipse.jdt.core.util

## Interface ILocalVariableReferenceInfo

    public interface ILocalVariableReferenceInfo

Description of a local variable reference info table entry as specified in the JVM specifications. This interface may be implemented by clients.

Since:
  3.10

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getIndex()` Answer back the resolved position of the local variable as specified in the JVM specifications.
`int` `getLength()` Answer back the length of this entry as specified in the JVM specifications.
`int` `getStartPC()` Answer back the start pc of this entry as specified in the JVM specifications.

### Method Detail

#### getStartPC

    int getStartPC()

Answer back the start pc of this entry as specified in the JVM specifications.

Returns:
  the start pc of this entry as specified in the JVM specifications

#### getLength

    int getLength()

Answer back the length of this entry as specified in the JVM specifications.

Returns:
  the length of this entry as specified in the JVM specifications

#### getIndex

    int getIndex()

Answer back the resolved position of the local variable as specified in the JVM specifications.

Returns:
  the resolved position of the local variable as specified in the JVM specifications